%global dlrn_nvr 18.6.1-17.1.20230622040832.f4c0b89
%global dlrn 1
%define upstream_version 18.6.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%define upstream_name openstack-designate

Name:                   puppet-designate
Version: 18.6.1
Release: 17.1.20230622040833.f4c0b89%{?dist}
Summary:                Puppet module for OpenStack Designate
License:                ASL 2.0

URL:                    https://launchpad.net/puppet-designate

Source0: 18.6.1-17.1.20230622040832.f4c0b89.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=f4c0b892eb3d95df1091ac25e06b48d9bd2243b2

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:              noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:               puppet-inifile
Requires:               puppet-keystone
Requires:               puppet-stdlib
Requires:               puppet-dns
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet >= 2.7.0

%if 0%{rhosp} == 0
Requires:               puppet-powerdns
%endif

%description
Installs and configures OpenStack Designate (DNS Services).

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n %{upstream_name}-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/designate/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/designate/



%files
%{_datadir}/openstack-puppet/modules/designate/


%changelog
* Thu Jun 22 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-17.1.20230622040832.f4c0b89
- Update patches

* Tue Jan 31 2023 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20230131230703.f4c0b89
- Update patches
- Add support for MultiStrOpt

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221109031023.a9b41c3
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108101706.a9b41c3
- Update patches
- setuptools: Disable auto discovery

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221102032310.2e9a63c
- Update patches
- Prepare the final wallaby release

* Thu Aug 18 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220818144438.f82af73
- Update patches
- Enable policy settings in designate-api

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220728043425.1012448
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220727193456.1012448
- Introduce a coordination class to share coordination params (rhbz#2057592)

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220718121604.1012448
- Update patches
- Introduce a coordination class to share coordination params

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220416015747.7a2e878
- Update patches
- mdns: Accept array value for the listen parameter

* Thu Mar 24 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.0-0.20220324061845.34bffae
- Update patches
- Fix setup of bind9 backend

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220217233657.6d06a97
- Update patches

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220204003931.6d06a97
- Update patches
- Prepare a new Wallaby release

* Sat Jan 08 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.0-0.20220109004722.4b35ca1
- Update patches
- Add Designate API WSGI support
- Add support for oslo_middleware/enable_proxy_headers_parsing

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210603235923.eee5156
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210528152824.db2b8bf
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Add support for oslo_policy/enforce_new_defaults
- Update supported Ubuntu version to Focal
- Rename confusing service_ensure parameter

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update supported Ubuntu version to Focal
- Update supported Ubuntu version to Focal

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Update supported Ubuntu version to Focal
- Add designate::db::postgresql class.
- Add support for the oslo_policy/enforce_scope parameter

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Wallaby M3

* Sat Feb 27 2021 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Add bind9 backend parameter to allow bypassing bind configuration

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Add support for healthcheck middleware options

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Wallaby M2

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Use yaml instead of json for policy file

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Fix ignored unit tests

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Fix the outdated parameter to define maximum zone name length
- Fix leftovers about removed v1 API

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Wallaby M1

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Deprecate support for configuration of powerdns 3 driver

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Allow db sync timeouts to be configurable

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Fix outdated files

* Mon Oct 26 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Add support for the keystone_authtoken/service_type parameter

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Bump version for the start of Wallaby

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Include deps class in unit test for sync
- Update comment to fix lint

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Include deps class in unit test for powerdns

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Include deps class in unit test for mysql
- Update master for stable/victoria

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Victoria RC1

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Set openstackdocs_auto_name to use 'project' as name

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Add Puppet Litmus

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Victoria M3

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Use oslo::db class to set database parameters
- Use openstack_spec_helper from zuul checkout

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Use common class to manage apache service in beaker job

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Use common class to manage apache service in beaker job
- Use common class to manage apache service in beaker job

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Use common class to manage apache service in beaker job

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Add backend coordination url option to producer

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Victoria M2

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Add support for the interface parameter in authtoken middleware

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Change to relative includes

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Victoria M1

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Update Puppet requirement to >= 6.0.0

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Remove unnecessary puppet-rabbitmq from dependencies

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Remove password hash generation in each puppet modules

* Sat May 16 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Bump version for the start of Victoria

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Add CentOS8 to nodesets

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Remove v1 api support

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Fix typo in warning message

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Use anchor to require necessary packages

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Runs on Debian 10.

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Bump openstackdocstheme to 1.30.0

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Fix rabbitmq version in metadata
- Change rpsec to rspec

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Update master for stable/ussuri

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Deprecate designate::worker::worker_notify

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Do not set removed [service:worker]enabled
- Cleanup the remaining parameters for designate pool manager

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Ussuri RC1

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Ussuri M3

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Expect python3 client package in CentOS8

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Update mysql module to <11.0.0

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Ussuri M2

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Configure keystone_authtoken/service_token_roles

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Fix stdlib version in metadata

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Convert all class usage to relative names

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Fix rabbitmq dependency

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Remove designate::pool_manager

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> 9.5.0-1
- Update patches
- Update master for stable/train

* Thu Feb 02 2017 Alfredo Moralejo <amoralej@redhat.com> 9.5.0-1
- Update to 9.5.0




